// Wire Master Writer
// by devyte
// based on the example of the same name by Nicholas Zambetti <http://www.zambetti.com>

// Demonstrates use of the Wire library
// Writes data to an I2C/TWI slave device
// Refer to the "Wire Slave Receiver" example for use with this

// This example code is in the public domain.


#include <Wire.h>

//#define SDA_PIN 8
//#define SCL_PIN 9
#define SDA_PIN 4
#define SCL_PIN 5

const int16_t I2C_MASTER = 0x42;
const int16_t I2C_SLAVE = 0x01;

void setup() {
  Wire.begin(SDA_PIN, SCL_PIN, I2C_MASTER); // join i2c bus (address optional for master)
  //Wire.begin(I2C_MASTER); // join i2c bus (address optional for master)
}

byte x = 0;

void loop() {
  
  
    Wire.beginTransmission(I2C_SLAVE); // transmit to device #8
    Wire.write(x%2==0?0x9:0x8);
    Wire.write((x%2==0?0x90:0x80)|0x1);
    Wire.write(0x30);
    Wire.write(0x60);
    Wire.endTransmission();    // stop transmitting

    x++;
  delay(500);
}
